> ## Documentation Index
> Fetch the complete documentation index at: https://kliio.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Task

> Retrieves a single task by ID.

### Headers

<ParamField header="Authorization" type="string" required>
  `Bearer YOUR_API_KEY`
</ParamField>

### Path Parameters

<ParamField path="id" type="string" required>
  UUID of the task to retrieve.
</ParamField>

### Response

<ResponseField name="data" type="object">The task object, including an embedded `project`.</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl https://kliio.app/api/v1/tasks/task-uuid-... \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```

  ```js JavaScript theme={null}
  const res = await fetch('https://kliio.app/api/v1/tasks/task-uuid-...', {
    headers: { Authorization: 'Bearer YOUR_API_KEY' }
  })
  const { data } = await res.json()
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "data": {
      "id": "task-uuid-...",
      "name": "Design homepage mockup",
      "description": null,
      "status": "in_progress",
      "estimated_hours": 8,
      "billable": true,
      "rate": 120,
      "total_seconds": 10800,
      "phase_id": "phase-uuid-...",
      "project": { "id": "proj-uuid-...", "name": "Acme Rebrand" },
      "created_at": "2025-03-20T09:00:00.000Z"
    }
  }
  ```

  ```json 404 theme={null}
  {
    "error": "Task not found or access denied"
  }
  ```
</ResponseExample>
